Delete Task (Legacy)
curl --request DELETE \
--url https://api.anchorbrowser.io/v1/task/{taskId} \
--header 'anchor-api-key: <api-key>'import requests
url = "https://api.anchorbrowser.io/v1/task/{taskId}"
headers = {"anchor-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'anchor-api-key': '<api-key>'}};
fetch('https://api.anchorbrowser.io/v1/task/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Tasks (Legacy)
Delete Task (Legacy)
Soft deletes a task and all its versions. The task will no longer be accessible but the data is preserved for potential recovery.
If you are using the new Task Builder, see the non-deprecated Tasks endpoints in this API reference.
DELETE
/
v1
/
task
/
{taskId}
Delete Task (Legacy)
Authorizations
API key for your Anchor Browser account, sent as the anchor-api-key header on every
request. Create one at app.anchorbrowser.io (API Access),
or obtain one programmatically via the unauthenticated agent-access flow
(POST /v1/agent-access).
Path Parameters
The ID of the task to delete
Response
Task deleted successfully
Show child attributes
Show child attributes
Was this page helpful?

